funnel
Server API

Users

User management (admin only)

List_users

GET
/users
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Formatint64

Response Body

curl -X GET "https://loading/api/v1/users?limit=0"
[
  {
    "avatar_url": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "deactivated_at": "2019-08-24T14:15:22Z",
    "email": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "metadata": {},
    "name": "string",
    "role": "string",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "error": "string"
}
{
  "error": "string"
}

Deactivate_user

POST
/users/{id}/deactivate
AuthorizationBearer <token>

In: header

Path Parameters

idstring

User ID

Formatuuid

Response Body

curl -X POST "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/deactivate"
{
  "avatar_url": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "deactivated_at": "2019-08-24T14:15:22Z",
  "email": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "metadata": {},
  "name": "string",
  "role": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}

Reactivate_user

POST
/users/{id}/reactivate
AuthorizationBearer <token>

In: header

Path Parameters

idstring

User ID

Formatuuid

Response Body

curl -X POST "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/reactivate"
{
  "avatar_url": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "deactivated_at": "2019-08-24T14:15:22Z",
  "email": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "metadata": {},
  "name": "string",
  "role": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string"
}
{
  "error": "string"
}

Set_user_role

PUT
/users/{id}/role
AuthorizationBearer <token>

In: header

Path Parameters

idstring

User ID

Formatuuid
rolestring

Response Body

curl -X PUT "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/role" \
  -H "Content-Type: application/json" \
  -d '{
    "role": "string"
  }'
{
  "avatar_url": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "deactivated_at": "2019-08-24T14:15:22Z",
  "email": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "metadata": {},
  "name": "string",
  "role": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}